UbuntuUpdates.org

Package "cups"

Name: cups

Description:

Common UNIX Printing System(tm) - PPD/driver support, web interface

Latest version: 2.2.10-4ubuntu2.1
Release: disco (19.04)
Level: security
Repository: main
Homepage: https://www.cups.org/

Links

Save this URL for the latest version of "cups": https://www.ubuntuupdates.org/cups


Download "cups"


Other versions of "cups" in Disco

Repository Area Version
base main 2.2.10-4
updates main 2.2.10-4ubuntu2.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.2.10-4ubuntu2.1 2019-08-20 05:07:06 UTC

  cups (2.2.10-4ubuntu2.1) disco-security; urgency=medium

  * SECURITY UPDATE: Stack buffer overflow in SNMP ASN.1 decoder
    - debian/patches/CVE-2019-86xx.patch: update cups/snmp.c to check for
      buffer overflow when decoding various ASN.1 elements.
    - CVE-2019-8675
    - CVE-2019-8696
  * SECURITY UPDATE: Buffer overflow in IPP
    - debian/patches/CVE-2019-86xx.patch: update cups/ipp.c to avoid
      buffer overflow due to tag type confusion
  * SECURITY UPDATE: Denial of service and memory disclosure in scheduler
    - debian/patches/CVE-2019-86xx.patch: update scheduler/client.c to
      avoid a denial of service and possible memory disclosure if the
      client unexpectedly closes the connection

 -- Alex Murray <email address hidden> Fri, 16 Aug 2019 14:12:59 +0930

CVE-2019-8675 stack-buffer-overflow in libcups's asn1_get_type function
CVE-2019-8696 stack-buffer-overflow in libcups's asn1_get_packed function



About   -   Send Feedback to @ubuntu_updates